org.modeshape.jboss.service

## Class IndexStorageService

- java.lang.Object
- - org.modeshape.jboss.service.IndexStorageService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<IndexStorage>, org.jboss.msc.value.Value<IndexStorage>

      public class IndexStorageService
      extends Object
      implements org.jboss.msc.service.Service<IndexStorage>

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexStorageService(EditableDocument queryConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.msc.value.InjectedValue<org.infinispan.manager.CacheContainer>` | `getCacheContainerInjectedValue()`
    `org.jboss.msc.value.InjectedValue<String>` | `getDataDirectoryPathInjector()`
    `org.jboss.msc.value.InjectedValue<String>` | `getIndexStorageBasePathInjector()`
    `org.jboss.msc.value.InjectedValue<String>` | `getIndexStorageSourceBasePathInjector()`
    `IndexStorage` | `getValue()`
    `void` | `start(org.jboss.msc.service.StartContext arg0)`
    `void` | `stop(org.jboss.msc.service.StopContext arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexStorageService

          public IndexStorageService(EditableDocument queryConfig)

  - ### Method Detail

    - #### getIndexStorageBasePathInjector

          public org.jboss.msc.value.InjectedValue<String> getIndexStorageBasePathInjector()

      Returns:
        the injector used to set the path where the indexes are to be stored

    - #### getIndexStorageSourceBasePathInjector

          public org.jboss.msc.value.InjectedValue<String> getIndexStorageSourceBasePathInjector()

      Returns:
        the injector used to set the path where the source indexes are to be stored

    - #### getDataDirectoryPathInjector

          public org.jboss.msc.value.InjectedValue<String> getDataDirectoryPathInjector()

      Returns:
        the injector used to set the data directory for this repository

    - #### getCacheContainerInjectedValue

          public org.jboss.msc.value.InjectedValue<org.infinispan.manager.CacheContainer> getCacheContainerInjectedValue()

      Returns:
        the injector used to set a custom ISPN cache container

    - #### getValue

          public IndexStorage getValue()
                                throws IllegalStateException,
                                       IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<IndexStorage>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### start

          public void start(org.jboss.msc.service.StartContext arg0)

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<IndexStorage>`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext arg0)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<IndexStorage>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.